*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body, html{
    overflow-x: hidden;
}


a{
    text-decoration: none;
}

ul{
    list-style: none;
}


.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    color: whitesmoke;
}

.nav-links{
    display: flex;
    align-items: center;  
}

.nav-links li{
    margin: 0 30px;
}

.nav-links li a{
    color: white;
}

.active{
    font-weight: bold;
    text-decoration: underline;
    color: #ff6200;
}

.menu-btn{
    position: absolute;
    top: 30px;
    right: 30px;
    width: 40px;
    cursor: pointer;
    font-size: 24px;
    display: none;
}


header{
    width: 100vw;
    height: 100vh;
    background-image: url(./images/i1.jpg);
    background-size: cover;
    background-position: bottom;
    display: flex;
    justify-content: center;
    align-items: flex-end;
}

.header-content{
    color: white;
    margin-bottom: 150px;
    text-align: center;
}

.header-content h2{
    font-size: 4vmin;
}

.line{
    width: 150px;
    height: 4px;
    background-color: #ff6200;
    margin: 10px auto;
    border-radius: 5px;
}


.header-content h1{
    font-size: 7vmin;
    margin-top: 50px;
    margin-bottom: 30px;
}

.call-to-action{
    background-color: #ff6200;
    padding: 8px 16px;
    border-radius: 30px;
    color: white;
}
.call-to-action:hover{
    background-color: white;
    color: black;
}


/*--------- events -----------------*/

.events{
    margin-top: 48px;
}
section{
    width: 100%;
    margin: 80px auto;
}

.title{
    text-align: center;
    font-size: 4vmin;
    color: #ff6200;
}

.row{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    margin-top: 80px;
    row-gap: 50px;
}

.column {
    width: 48%;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 20px;
}

.column img{
    width: 80%;
    height: 400px;
    object-fit: cover;
    display: block;
    border-radius: 10px;
}

h4{
    font-size: 3vmin;
    margin: 20px auto;
}

p{
    padding: 0 40px;
}

.events .call-to-action{
    margin-top: 30px;
}




/* ---------------explore --------------*/

.explore{
    background-image: url(./images/bg2.png);
    width: 100%;
    height: 100vh;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    align-items: center;
}

.explore-content{
    width: 100%;
    padding: 50px;
    color: whitesmoke;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.explore-content h1{
    font-size: 7vmin;
    margin: 50px;
}

.explore-content p{
    color: whitesmoke;
}

.explore-content .call-to-action{
    margin-top: 40px;
}

/* tour */
.tours .row .col{
    width: 50%;
}

.tours .image-gallery{
    display: flex;
    flex-wrap: wrap;
    width: 100%;
}

.image-gallery img{
    max-width: 300px;
    margin: 10px;
    border-radius: 8px;
}

.content-col h1{
    font-size: 7vmin;
}

.content-col p{
    padding: 0;
    margin: 30px auto;
}

.content-col{
    text-align: center
}


/*------------------------ footer ---------------*/

.footer{
    width: 100%;
    min-height: 200px;
    background-color: #2b2825;
    color: white;
    margin: 0;
    padding: 20px 80px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.footer p{
    margin: 20px auto;
}


img{
    transition: transform .3s ease;
}
img:hover{
    transform: scale(1.1);
}
@media screen and (max-width: 850px){
    
    .navbar{
        padding: 0;
    }

    .logo{
        position: absolute;
        top: 30px;
        left: 30px;
    }

    .nav-links{
        flex-direction: column;
        width: 100%;
        height: 100vh;
        justify-content: center;
        background: linear-gradient(90deg, #e6589d, #b58e5f);
        margin-left: -900px;
    }
    
    .mobile-menu{
        margin-left: 0px;
    }

    .nav-links li{
        margin: 30px auto;
    }

    .menu-btn{
        display: block;
    }  

    .row{
        flex-direction: column;
    }
    .row .column{
        margin: 20px auto;
    }
    
    .column img{
        width: 300px;
        height: 300px;
    }

    .tours .col{
        width: 100%;
    }

    .image-gallery{
        justify-content: center;
        align-items: center;
    }

    .image-gallery img{
        width: 90%;
    }

    .footer{
        padding: 10px;
    }
}
